mailarchive of the ptxdist mailing list
 help / color / mirror / Atom feed
From: "Andreas Bießmann" <biessmann@corscience.de>
To: PTXdist list <ptxdist@pengutronix.de>
Subject: [ptxdist] [PATCH] bin/ptxdist: check_dirs_mkdir() utilize umask
Date: Thu, 26 Jan 2012 10:29:00 +0100	[thread overview]
Message-ID: <1327570140-3611-1-git-send-email-biessmann@corscience.de> (raw)

In some cases the check_dirs_mkdir() function will create directories on the
way (parents) with insufficient rights. Therefore the chmod/chown later on
will fail due to missing rights.

This patch forces 'umask 0022' for creating the directories on the way and
additionally add the missing '-m755' switch to the 'sudo'-variant.

Signed-off-by: Andreas Bießmann <biessmann@corscience.de>
---
 bin/ptxdist |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/bin/ptxdist b/bin/ptxdist
index 52e9c76..74a5a23 100755
--- a/bin/ptxdist
+++ b/bin/ptxdist
@@ -398,7 +398,7 @@ check_dirs_mkdir() {
 
 	# create dir if not exiting
 	if [ ! -d "${dir}" ]; then
-		if ! mkdir -m755 -p -- "${dir}" 2> /dev/null; then
+		if ! (umask 0022 && mkdir -m755 -p -- "${dir}") 2> /dev/null; then
 			echo
 			echo "error: '${dir}'"
 			echo "	     does not exist and cannot be created!"
@@ -410,8 +410,8 @@ check_dirs_mkdir() {
 				exit 1
 			fi
 			echo
-			echo sudo mkdir -p "${dir}"
-			sudo mkdir -p "${dir}"
+			echo "umask 0022 && sudo mkdir -m755 -p \"${dir}\""
+			(umask 0022 && sudo mkdir -m755 -p "${dir}")
 			echo sudo chown "${UID}" "${dir}"
 			sudo chown "${UID}" "${dir}"
 		fi
-- 
1.7.8.3


-- 
ptxdist mailing list
ptxdist@pengutronix.de

             reply	other threads:[~2012-01-26  9:29 UTC|newest]

Thread overview: 6+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2012-01-26  9:29 Andreas Bießmann [this message]
2012-01-26 15:18 ` Michael Olbrich
2012-01-26 16:08   ` Andreas Bießmann
2012-02-03 10:48 ` [ptxdist] [PATCH v2] bin/ptxdist: set umask globally Andreas Bießmann
2012-02-07 13:22   ` Michael Olbrich
2012-02-07 13:36     ` Michael Olbrich

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1327570140-3611-1-git-send-email-biessmann@corscience.de \
    --to=biessmann@corscience.de \
    --cc=ptxdist@pengutronix.de \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox